import { assert } from './assert';
declare type AssertKey = keyof ReturnType<typeof assert>;
declare type TruthyAssertObject = {
    [T in AssertKey]: (...value: unknown[]) => void;
};
declare type ReturnObject = TruthyAssertObject & {
    not: TruthyAssertObject;
};
export declare class Expect {
    private expects;
    expect(expected: unknown): ReturnObject;
    clean(): void;
    isAllPassed(): boolean;
}
export {};
